/Users/bernard/b20/bsoft/src/bfix.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bfix.cpp - Program to fix end-of-line characters in ascii files.

SYNOPSIS

#include 'utilities.h'
#include 'options.h'
#include 'timer.h'
#include <fstream>

  Functions
long replace_a_character (unsigned char *buf, long size, int chin, int chout)
long delete_a_character (unsigned char *buf, long size, int c)
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Program to fix end-of-line characters in ascii files.

Author:
    Bernard Heymann

Date:
    Created: 19990206

    Modified: 20120306

Definition in file bfix.cpp.

Function Documentation

  long delete_a_character (unsigned char * buf, long size, int c)

Definition at line 170 of file bfix.cpp.

  int main (int argc, char ** argv)

Definition at line 43 of file bfix.cpp.

  long replace_a_character (unsigned char * buf, long size, int chin, int chout)

Definition at line 153 of file bfix.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bfix [options] file.in file.out",
"--------------------------------------",
"Replaces single characters in a file.",
"If only one file name is given, the output is sent to stdout.",
"If a
"(without the path).",
"Note: replace and delete are mutually exclusive - the last option wins",
" ",
"Actions:",
"-n                 Replace <cr> with <nl> (To UNIX style)",
"-c                 Replace <nl> with <cr> (To MAC style)",
"-replace 9,32      Replace all character values 9 with character values 32",
"-delete 13         Delete all character values 13",
" ",
"Parameters:",
"-verbose 7         Verbosity of output",
" ",
NULL
}

Definition at line 21 of file bfix.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.